/**
 * This is the main Brian MMA7455 Accelerometer program file.
 */

#include "simpletools.h"
#include "abdrive.h"
#include "fdserial.h"

fdserial *comms;
//#include <math.h>

//void blink();

unsigned char reply;
char xyz[6];                        //XYZ dat array

static volatile float dt;

static volatile float max = 196.00;

int acc = 1;

volatile int cloock, cloock2, dispcl, oldcnt;

char s[60];

int main()
{

  comms = fdserial_open( 31, 30, 0, 115200);

  while(1)
  {
    fdserial_rxTime( acc, 100 );
    //readChar(31, acc);
    high(27);
    pause(acc*125);
    low(27);
    pause(acc*125);
    if( acc == -1 ) high(26);
  }    
  //cog_run(blink, 128);

  drive_setRampStep(1000);
  
  drive_speed(0,0);
  
  pause(250);

  cloock = 0;
  
  cloock = CNT - oldcnt;
  oldcnt = CNT;
  dt = 1.0 * cloock/CLKFREQ;
} 
/*
void blink(void *par)
{
    //print(" %f,%.2f,%d,%d,%.2f\n", dt, angle1, Gz, Ax, ang); //ANGLES
    pause(200); 
}
*/